Page 7 of 11

Re: Unreal Engine 4

Posted: 22 Sep 2017, 19:42
by Rastar
Yes, 4.17 branch

Re: Unreal Engine 4

Posted: 22 Sep 2017, 21:38
by hcpizzi
I'm looking at the line where the crash is happening and I can't think of much that could go wrong there.

Is it one of our samples that you're testing with?

Re: Unreal Engine 4

Posted: 22 Sep 2017, 21:55
by Rastar
I've tried that with two of your samples, Tux.xaml and Tiger.xaml, same error. When I leave the Xaml reference in the blueprint's class settings empty, the game starts up.

Re: Unreal Engine 4

Posted: 23 Sep 2017, 01:00
by hcpizzi
I've just tried both of them and they run. I'm not running the same code that's on GitHub, but the render code is the same.
Tux.png
Tiger.png
Which version of the NoesisSDK are you using?

Re: Unreal Engine 4

Posted: 25 Sep 2017, 17:09
by Rastar
I'm using the latest release (NoesisGUI v2.0.2f2).

I've tried this with new levels, and also re-imported the XAML files, but always get the error.

Re: Unreal Engine 4

Posted: 25 Sep 2017, 19:55
by hcpizzi
I'm trying to think of a way to get to the bottom of this, since I can't reproduce the problem locally.

I'm first going to try exactly the same code as you. I'll get back to you as soon as I'm done testing.

Re: Unreal Engine 4

Posted: 26 Sep 2017, 00:48
by hcpizzi
You were absolutely right, the code was crashing, just not in debug builds like I was running it.

I've just updated the code on GitHub with the fix for this problem and the logging in the error handler.

Sorry it took me a while to reproduce it. Let us know if you run into any other problems.

Re: Unreal Engine 4

Posted: 26 Sep 2017, 16:00
by Rastar
Working fine now, thanks!

Re: Unreal Engine 4

Posted: 26 Sep 2017, 21:10
by jsantos
By the way, a new version of the plugin is imminent. We changed the philosophy and decided to follow a lightweight approach only using data binding to unreal native types.

Re: Unreal Engine 4

Posted: 19 Nov 2017, 13:01
by maxwell_n11
Hello,
when the 4.18 version will be available ?
Also i'm tried to use the 4.17 version, but I got the "could not be compiled..." when i try to build my project.

But I had follow the instructions.
Github plugin => Engine/Plugins/NoesisGui
Native Sdk => Engine/Plugins/NoesisGui/Source/ThirdParty/Neosis/NoesisGUI-NativeSDK-2.0.2f2/(Bin/Lib/Include).